
## 服务组件介绍

| 服务名称 | docker 镜像名称  | 服务描述       |
|------|-------------|------------|
| 前端服务 | know-sub-nginx:1.0.0 | 提供前端服务     |
| 后端服务 | know-sub-web:1.0.0 | 提供展示报送后端服务 |
| 数据库 | mysql:5.7 | 提供数据库服务 |

### 安装包结构说明
| 文件/文件夹 | 说明            |
| - |---------------|
| know-sub-nginx/ | 存放nginx静态文件 |
| know-sub-web/ | 存放后端服务程序    |
| mysql | 数据库持久化数据 |
| .env | 应用的环境配置       |
| docker-compose.yml | docker-compose 配置文件 |
| images-all-one.tar.gz | 镜像文件 |

## 快速启动

### 要求
- CPU >= 8 核
- RAM >= 16 GB
- Disk >= 500 GB
- Docker >= 24.0.6 & Docker Compose >= v2.27.0

### 步骤
1. 下载安装包，解压到~/install/know-sub目录
2. 进入~/install/know-sub目录，执行加载镜像命令：
```bash
docker load -i images-all-one.tar.gz
```
3. 执行如下命令启动服务
```bash
docker-compose up -d
```

4. 查看启动的服务状态
```bash
docker-compose ps
Name                Command               State                           Ports
```

5. 访问地址
http://192.168.10.138:1180/#/login  admin/qgYXFnT1

