package com.supervision.knowsub.config;

import org.elasticsearch.client.RestClient;
import org.springframework.ai.vectorstore.ElasticsearchVectorStore;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.util.Assert;

@Configuration
@EnableConfigurationProperties(EmbeddingProperties.class)
public class ElasticsearchVectorStoreConfig {

    @Value("${embedding.url}")
    private String url;
    @Bean
//    @ConditionalOnProperty(prefix = "embedding", name = "url")
    public VectorEmbeddingClient vectorEmbeddingClient(EmbeddingProperties embeddingProperties) {
        Assert.notNull(embeddingProperties.getUrl(), "配置文件embedding:url未找到");
        return new VectorEmbeddingClient(embeddingProperties.getUrl());
    }

    @Bean
    public ElasticsearchVectorStore vectorStore(VectorEmbeddingClient embeddingModel, RestClient restClient) {
        return new ElasticsearchVectorStore(restClient, embeddingModel);
    }

}
